INPUT_ALLOCATE_DEVIC(9)

NAME
input_allocate_device - allocate memory for new input device

SYNOPSIS

struct input_dev * input_allocate_device(void);

ARGUMENTS

void
    no arguments

DESCRIPTION

Returns prepared struct input_dev or NULL.

NOTE

Use input_free_device to free devices that have not been registered; input_unregister_device should be used for already registered devices.

COPYRIGHT